% VYPOČTY K BAKALÁŘSKÉ PRÁCI VALENTA TOMÁŠ
%
% napjatost po strednici v cele klice pro dane zvolena natoce fi°
%
% Pozn.: pri konfiguraci PC Win7, RAM 16GB, CPU Intel Core i5 2400 3,1GHz
% (4-cores) trval vypocet jednoho natočeni cca 160 sekund 

clear all
clc
tic
profil = load('profil.txt');
a = profil(:,1)'/1000; % [m]
b = profil(:,2)'/1000; % [m]

fi = 60; %[°]
F = [0 0 -1500]; % [N]

deleni = 0.0001; % [m]
E = 6.9e10; % [Pa]
poisson = 0.33;
n = 101; % pocet clenu pro vypocet rad
STREDNICE = load('strednice.txt')./1000; % [m]
pozice_rezu = (STREDNICE(:,3))';

fi = 0:5:360; % vektor fi obsahujici pro jake natoceni chceme spocitat napjatost

for natoceni = 1:length(fi)
    for rez = 1:length(a)
        a_rez = a(rez);
        b_rez = b(rez);
        [M,T,Tmax_rez,Sigma_x_max_rez,Sigma_red_max_rez] = napeti_redukovane(fi(natoceni),F,a_rez,b_rez,deleni,E,poisson,n,rez);
        
        vysledek_rez(rez,:) = [pozice_rezu(rez)*1e3, Sigma_red_max_rez]; % uklada maximalni redukovane napeti z cele kliky a rek ve kterem se nachazi
    end
    Sigma_red_max_klika = max(vysledek_rez(:,2));
    [Sigma_red_max_klika_row,Sigma_red_max_klika_col] = find(vysledek_rez(:,2) == Sigma_red_max_klika);
    
    vysledek_klika(1,natoceni) = fi(natoceni);
    vysledek_klika(2,natoceni) = Sigma_red_max_klika;
    vysledek_klika(3,natoceni) = pozice_rezu(Sigma_red_max_klika_row);
    
    fprintf('\nnatoceni:    %f\n',fi(natoceni)) % napise do Command Window jake natoceni fi se prave pocita
    
end
toc